Bug 233549 - "yum update" removes autofs while using to update fc6
"yum update" removes autofs while using to update fc6
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2007-03-22 23:32 EDT by Matthew Costello
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-24 00:30:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Captured screen output from "yum update" (15.91 KB, text/plain)
2007-03-22 23:32 EDT, Matthew Costello
no flags Details

  None (edit)
Description Matthew Costello 2007-03-22 23:32:51 EDT
Description of problem:
I ran "yum update" to update a dual PIII box as I have done many times before. 
The yum repositories are mirrored and available using an NFS mount.
Yum reported it was going to update 37 packages and do the Remove+Install for
the two kernel packages. However yum changed its mind and decided to Remove
autofs instead.  Yum then died when the next package disappeared when the NFS
mount was removed.  Leaving me with a system without autofs.

I've selected i386 because an identical "yum update" on a x86_64 box at the same
time that updated 22 packages worked just fine.  My guess is that there is some
dependency problem with one of the 15 (37-22) packages that caused yum to want
to remove and the re-install autofs.

Version-Release number of selected component (if applicable):
 autofs                  i386       1:5.0.1-0.rc3.26  updates           774 k

How reproducible:
I've not tried to reproduce this. I've not even fixed the problem it
left me with.  If the problem is what I think it is then if I re-install
the old autofs I should still have the same problem; leaving a smaller
list of packages to worry about.

Steps to Reproduce:
1. Force update to the 37 'old' packages
2. Do a "yum update" and see if fails

Actual results:
see attached autofs.log

Expected results:
an fc6 box with updated packages

Additional info:
Comment 1 Matthew Costello 2007-03-22 23:32:51 EDT
Created attachment 150720 [details]
Captured screen output from "yum update"
Comment 2 Jeffrey Moyer 2007-03-23 11:13:35 EDT
Do you have the autofs package (the .rpm) on your system?  I'm curious to know
if you can rpm -Uvh autofs-5.0.1-rc3.26.i386.rpm.  If that fails, we should
explore the errors reported from rpm.  My hunch is that the conflicts line in
the package might have something to do with it:

Conflicts: kernel < 2.6.17

It *shouldn't* cause a problem, but I'd like to verify that it isn't causing a
Comment 3 Matthew Costello 2007-03-24 00:30:28 EDT
I installed an older version of autofs
  rpm -Uhv autofs-5.0.1-0.rc3.19.i386.rpm
and then did a "yum update" again.  It only updated autofs and installed the
latest version of the kernel.

 kernel                  i686       2.6.20-1.2925.fc6  updates            16 M
 kernel-devel            i686       2.6.20-1.2925.fc6  updates           4.7 M
 autofs                  i386       1:5.0.1-0.rc3.26  updates           774 k

Weirdly enough, it did not remove the old 2911 kernel this time, nor did it
update the remaining packages that it did not get around to last time.  I did a
"rpm --rebuilddb" but it did not make any difference.  I then looked at what was
actually installed. The 2911 kernel is really gone, but more troubling is that
openssh was updated to openssh-4.3p2-18.fc6 (good) but the other three openssh
packages ( openssh-askpass, openssh-clients & openssh-server ) are gone.

This is strange and looks like a bug in yum.  I checked yum.log and saw nothing
strange and check messages looking for disk errors -- nothing.

I then checked the output of "rpm -q -a" against the list of packages that were
supposed to be updated.  The following packages are missing in rpm (and remember
I have done a rpm --rebuilddb):


rpm says these packages are gone but for most of these ex-packages the files are
still present.  This is just getting too weird.  I've manually "rpm -Uhv ..."d
the 'missing' packages and other than the large number of *.rpmsave and
*.rpmorig files created everything 'installed' okay.

I've found lots of collateral (but fixable) damage but have been unable to
reproduce the original failure. I think the thing to do is just call this all a
glitch in yum and close this bug for now.  It can be re-opened if somebody else
has the same problem.

Note You need to log in before you can comment on or make changes to this bug.